#!/bin/sh
################################################################################
#                                                                              #
# Polish Kathi Team 2009                                                       #
#                                                                              #
# contact: http://pkt.cal.pl/                                                  #
#                                                                              #
################################################################################

. /var/config/link
. /var/config/language.conf

#-------------------------------------------------------------------------------
#language section
#-------------------------------------------------------------------------------

if [ $lang == pl ]; then

  info1="Kasowanie newcs.xml"
  info2="Pobieranie newcs.xml"
  info3="newcs.xml pobrany !"
  info4="Instalacja nie powiodla sie !"

elif [ $lang == en ]; then

  info1="Deleting newcs.xml"
  info2="Downloading newcs.xml"
  info3="newcs.xml downloaded!"
  info4="Installation error!"

elif [ $lang == ar ]; then

  info1="newcs.xml حذف"
  info2="newcs.xml تحميل"
  info3="newcs.xml تم تحميل"
  info4="حدثت مشكلة أثناء التنصيب"
  
elif [ $lang == fr ]; then

  info1="supprimer newcs.xml"
  info2="Telechargement de newcs.xml"
  info3="newcs.xml telecharges!"
  info4="Erreur dans la installation!"  
  
elif [ $lang == de ]; then

  info1="Losche newcs.xml"
  info2="Lade newcs.xml"
  info3="newcs.xml geladen !"
  info4="Instalieren fehlgeschlagen !"

elif [ $lang == it ]; then

  info1="Eliminazione newcs.xml ..."
  info2="newcs.xml in download..."
  info3="newcs.xml scaricato!"
  info4="Errore durante l'installazione!"     

elif [ $lang == es ]; then
  info1="newcs.xml se esta borrando"
  info2="newcs.xml se esta descargando"
  info3="newcs.xml Descargado e Instalado!"
  info4="Error en la instalacion!"
    
fi

#-------------------------------------------------------------------------------
#script section
#-------------------------------------------------------------------------------

 if [ -s /var/keys/newcs.xml ] ; then
    echo $info1
    rm /var/keys/newcs.xml 2>/dev/null
    sleep 1
 fi
  
echo $info2
  wget $ADRES/newcs.xml -q -O /var/keys/newcs.xml 2>/dev/null
  sync
sleep 5

 if [ -s /var/keys/newcs.xml ] ; then
    echo $info3
 else
    echo $info4
 fi

echo ""

exit 0